StringList (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.util

## Interface StringList

- All Superinterfaces:
    java.lang.Iterable<java.lang.String>

      public interface StringList
      extends Iterable<java.lang.String>

  An interface defining a list of strings.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(java.lang.String s)` Add a String to the list.
    `java.lang.String` | `get(int index)` Get the string at index index.
    `int` | `size()`
    `java.lang.String[]` | `toStringArray()` Return the contents of the list as an array.
    `java.lang.String[]` | `toStringArray(int from, int to)` Return a section of the contents of the list.

    - ### Methods inherited from interface org.bouncycastle.util.Iterable

      `iterator`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### add

          boolean add(java.lang.String s)

      Add a String to the list.
      Parameters:
        `s` - the String to add.
      Returns:
        true

    - #### get

          java.lang.String get(int index)

      Get the string at index index.
      Parameters:
        `index` - the index position of the String of interest.
      Returns:
        the String at position index.

    - #### size

          int size()

    - #### toStringArray

          java.lang.String[] toStringArray()

      Return the contents of the list as an array.
      Returns:
        an array of String.

    - #### toStringArray

          java.lang.String[] toStringArray(int from,
                                           int to)

      Return a section of the contents of the list. If the list is too short the array is filled with nulls.
      Parameters:
        `from` - the initial index of the range to be copied, inclusive
        `to` - the final index of the range to be copied, exclusive.
      Returns:
        an array of length to - from